# *************************************************
# Coppermine Photo Gallery 1.5.x CopperAds Plugin
# *************************************************
# 1.0 CopperAd
# Copyright (C) 2006 Borzoo Mossavari <bmossavari@gmail.com>
# Continue by foulu <kak@amfcvn.net>
# ************************************************* 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# *************************************************


#
# Table structure for table `CPG_copperads_config`
#
CREATE TABLE IF NOT EXISTS `CPG_copperads_config` (
  `name` varchar(40) NOT NULL default '0',
  `value` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`name`)
)TYPE=MyISAM;

#
# Table structure for table `CPG_plugin_copperads`
#
CREATE TABLE  IF NOT EXISTS `CPG_plugin_copperads` (
  `adv_id` int(10) unsigned NOT NULL auto_increment,
  `kind` int(1) unsigned NOT NULL default '1',
  `address` varchar(255) NOT NULL default 'Only if its picture or flash',
  `height` int(4) unsigned NOT NULL default '100',
  `width` int(4) unsigned NOT NULL default '780',
  `linkto` varchar(255) NOT NULL default 'index.php',
  `alt` varchar(255) NOT NULL default 'Advertisement',
  `html` text NOT NULL,
  `showd` int(1) unsigned NOT NULL default '0',
  `name` varchar(255) NOT NULL default 'Copper Ads default name',
  `stat` int(1) unsigned NOT NULL default '1',
  PRIMARY KEY  (`adv_id`)
) TYPE=MyISAM;

# Default values for Copper Ad

INSERT INTO `CPG_copperads_config` VALUES ('status', '1');
INSERT INTO `CPG_copperads_config` VALUES ('max_show_number', '2');
INSERT INTO `CPG_copperads_config` VALUES ('text_title', 'A D V E R T I S E M E N T');
INSERT INTO `CPG_copperads_config` VALUES ('admin_show', '1');
INSERT INTO `CPG_copperads_config` VALUES ('banner_bg', '#FAFAFA');
INSERT INTO `CPG_copperads_config` VALUES ('width', '780');
INSERT INTO `CPG_copperads_config` VALUES ('height', '100');

INSERT INTO `CPG_plugin_copperads` (adv_id,kind,address,height,width,linkto,alt,html,showd,name)VALUES ( '1','3','','100','780','http://coppermine-gallery.net/forum/index.php?topic=33151.0','','<h2>This is your first Advertisement</h2><br/><h3>By default copper ad create your first advertisement with HTML</h3>','0','Copper Ad default HTML banner');
INSERT INTO `CPG_plugin_copperads` (adv_id,kind,address,height,width,linkto,alt,html,showd,name)VALUES ( '2','2','adv/flash/copperad.swf','100','450','','','','0','Copper Ad default Flash banner');
INSERT INTO `CPG_plugin_copperads` (adv_id,kind,address,height,width,linkto,alt,html,showd,name)VALUES ( '3','1','adv/pic/copperad.jpg','100','450','http://www.myprj.com','Copperad default pic banner','','0','Copper Ad default Picture banner');
